# derby.database.fullAccessUsers

#### Function

One of the user authorization properties. Specifies a list of users to which full (read-write) access to a database is granted. The list consists of user names separated by commas. Do not put spaces after commas.

When set as a system property, specifies a list of users for which full access to all the databases in the system is granted.

See also derby.database.readOnlyAccessUsers.

A malformed list of user names raises an exception. Do not specify a user both with this property and in derby.database.readOnlyAccessUsers.

Note: User names, called authorization identifiers, follow the rules of SQL92Identifiers and can be delimited. Specifying a user name that does not follow these rules raises an exception.

For more information about user authorization, see "User Authorization" in the Derby Developer's Guide.

#### Syntax

    -- database-level property
    CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
        'derby.database.fullAccessUsers',
        'commaSeparatedlistOfUsers')

#### Example

    -- database-level property
    CALL SYSCS_UTIL.SYSCS_SET_DATABASE_PROPERTY(
        'derby.database.fullAccessUsers', 'dba,fred,peter')
    --system-level property
    derby.database.fullAccessUsers=dba,fred,peter

#### Dynamic or static

Dynamic. Current connections are not affected, but all future connections are affected. For information about dynamic changes to properties, see Dynamic and static properties.

Parent topic: Derby properties
Related reference
derby.authentication.ldap.searchAuthDN
derby.authentication.ldap.searchAuthPW
derby.authentication.ldap.searchBase
derby.authentication.ldap.searchFilter
derby.authentication.provider
derby.authentication.server
derby.connection.requireAuthentication
derby.database.defaultConnectionMode
derby.database.forceDatabaseLock
derby.database.noAutoBoot
derby.database.propertiesOnly
derby.database.readOnlyAccessUsers
derby.database.sqlAuthorization
derby.infolog.append
derby.jdbc.xaTransactionTimeout
derby.language.logQueryPlan
derby.language.logStatementText
derby.locks.deadlockTimeout
derby.locks.deadlockTrace
derby.locks.escalationThreshold
derby.locks.monitor
derby.locks.waitTimeout
derby.replication.logBufferSize
derby.replication.maxLogShippingInterval
derby.replication.minLogShippingInterval
derby.replication.verbose
derby.storage.initialPages
derby.storage.minimumRecordSize
derby.storage.pageCacheSize
derby.storage.pageReservedSpace
derby.storage.pageSize
derby.storage.rowLocking
derby.storage.tempDirectory
derby.stream.error.field
derby.stream.error.file
derby.stream.error.method
derby.stream.error.logSeverityLevel
derby.system.bootAll
derby.system.durability
derby.system.home
derby.user.UserName